<?php
/**
 * @package		Ad Platform
 * @author		Uta Marian - Alexandru ( -uMarian- )
 * @license		http://codecanyon.net/licenses
 * @link		http://www.uta-marian.com
 * @version		Version 1.0
 */

require_once(dirname(__FILE__).'/../../config.php');
require_once(DIR_SYSTEM.'/users/session.user.php');

//** CHECK IF ADVERTISER IS ON or OFF **//
if ( ADVERTISER != 'ON' ) { header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard' ); exit; }
//** END CHECK **//

$USER_ID	=	$_SESSION[USER_SESSION]['0']['user_id'];
$ID			=	$prepare->sanitize($_GET['id'],'input');

$view->advertiser = $db->Query("SELECT `adv_profile_deposits`, `adv_profile_spent`, `adv_profile_campaigns`, `adv_profile_ads` FROM advertisers_profiles where adv_profile_user_id=?","i",$USER_ID);

//GET ACTIVE APLICATIONS LIST
$campaignLists	=	$db->Query("SELECT `adv_campaign_id`, `adv_campaign_title`, `adv_campaign_details`, `adv_campaign_daily_budget`, `adv_campaign_daily_spent`, `adv_campaign_status` FROM advertisers_campaigns where adv_campaign_user_id=? order by adv_campaign_id DESC","i",$USER_ID);
$numbers = count ($campaignLists);

//PAGINATION
$page		=	$prepare->sanitize($_GET['p'], 'input');
$on_page	=	"10";
$page=!empty($page)?$page:"1";
$limitfrom=($page-1)*$on_page;
$limitto=($page*$on_page)-($page-1)*$on_page;
$itemsPerPage=$on_page;
$upsy = $paginator['rows']=$numbers;	 // rows
	  $paginator['pager']=$prepare->page($page,$upsy,$itemsPerPage);
	  $paginator['limitfrom']=$limitfrom+1;
	  $paginator['limitto']=$limitfrom+$upsy;
	  $paginator['itemsnum']=$upsy;
	  $paginator['page']=$page;
$view->paginator	=	$paginator;
//END PAGINATION
$view->campaigns = array_slice($campaignLists, $limitfrom, $limitto);
//***********************************************************************//

if ( !empty ( $ID ) ) {

$view->campaign	=	$campaign = $db->Query("SELECT `adv_campaign_id`, `adv_campaign_title`, `adv_campaign_details`, `adv_campaign_daily_budget`, `adv_campaign_daily_spent`, `adv_campaign_status` FROM advertisers_campaigns where adv_campaign_user_id=? and adv_campaign_id=?","ii",$USER_ID,$ID);

}

$m	=	$prepare->sanitize($_GET['m'],'input');

if ( $m == 'yes-delete' ) {
	$id	=	$prepare->sanitize($_GET['id'],'input');


	//** VALIDATE CAMPAIGN **//
	$validate	=	$db->Query("SELECT `adv_campaign_id` FROM advertisers_campaigns where adv_campaign_user_id=? and adv_campaign_id=?","ii",$USER_ID,$id);

	if ( !empty ( $validate ) ) {

		//** REMOVE DATA **//
		$db->NoQuery("DELETE FROM advertisers_campaigns WHERE adv_campaign_id=?","i",$id);
		$db->NoQuery("DELETE FROM advertisers_campaigns_statistics WHERE acs_campaign_id=?","i",$id);

		$ads		= $db->Query("SELECT `aau_id` FROM advertisers_ad_units where aau_campaign=?","i",$id);
		$countAds	=	count($ads);


		$db->NoQuery("update advertisers_profiles set adv_profile_ads=adv_profile_ads-".$countAds." where adv_profile_user_id=?","i",$USER_ID);



		foreach ( $ads as $ad ) {
			$db->NoQuery("DELETE FROM advertisers_ad_units WHERE aau_id=?","i",$ad['aau_id']);
			$db->NoQuery("DELETE FROM advertisers_ad_clicks WHERE aac_ad_id=?","i",$ad['aau_id']);
			$db->NoQuery("DELETE FROM advertisers_ad_units_statistics WHERE aaus_ad_id=?","i",$ad['aau_id']);
			$db->NoQuery("DELETE FROM advertisers_ad_units_keywords WHERE aauk_ad_id=?","i",$ad['aau_id']);
		}
	}

	$db->NoQuery("update advertisers_profiles set adv_profile_campaigns=adv_profile_campaigns-1 where adv_profile_user_id=?","i",$USER_ID);

	header ( 'Location: '.HTTP_SERVER_WEBSITE.'dashboard/advertiser/campaigns' ); exit;
}







/* set page title */
$view->title = $LANG["WBS_ADVERTISER_CAMPAIGNS_SEO_TITLE"];
$view->description = $LANG["WBS_ADVERTISER_CAMPAIGNS_SEO_TITLE"];
$view->keywords = $LANG["WBS_ADVERTISER_CAMPAIGNS_SEO_TITLE"];

//**DEFINE CUSTOM CSS/JS FILLES**//
$view->customCode = '<link href="'.HTTP_SERVER_WEBSITE.'templates/'.WEBSITE_TEMPLATE.'/assets/css/dashboard.css" rel="stylesheet">';

$view->advertiser_menu = 'on';
$view->header = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/header.php');
$view->footer = $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/footer.php');

echo $view->render(DIR_TEMPLATE.WEBSITE_TEMPLATE.'/plugins/advertiser/campaigns.php');
?>